diff a/src/hotspot/share/utilities/vmError.cpp b/src/hotspot/share/utilities/vmError.cpp
--- a/src/hotspot/share/utilities/vmError.cpp
+++ b/src/hotspot/share/utilities/vmError.cpp
@@ -317,11 +317,11 @@
     if (!has_last_Java_frame)
       jt->reset_last_Java_frame();
   }
 #else
   if (jt->has_last_Java_frame()) {
-    st->print_cr("Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)");
+    st->print_cr("Java frames: (J=compiled Java code, A=AOT compiled, P=AOT preloaded, j=interpreted, Vv=VM code)");
     for (StackFrameStream sfs(jt, true /* update */, true /* process_frames */); !sfs.is_done(); sfs.next()) {
       sfs.current()->print_on_error(st, buf, buflen, verbose);
       st->cr();
     }
   }
